Skip to main content
GET
/
lucca-api
/
employment-templates
/
{id}
Retrieve an employment-template
curl --request GET \
  --url https://{host}/lucca-api/employment-templates/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "12",
  "type": "employment-template",
  "url": "https://example.ilucca.net/lucca-api/employment-templates/12",
  "title": "Internship",
  "legalEntities": [
    {
      "id": "123",
      "type": "legal-entity",
      "url": "https://example.ilucca.net/lucca-api/legal-entities/123"
    }
  ],
  "term": "fixed",
  "audience": "student",
  "t9n": {
    "title": {
      "fr-FR": "Convention de stage"
    }
  },
  "createdAt": "2024-04-15T23:12:54.0001Z",
  "lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
  "links": {
    "extensionDefinitions": {
      "href": "https://example.ilucca.net/lucca-api/employee-extension-definitions?extends.type=employment-template&extendedEmploymentTemplate.id=12"
    }
  },
  "embedded": {}
}
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes
 employment-templates.readonly
or
 employment-templates.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the employment-template.

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

An employment-template resource.

id
string
Minimum string length: 1
type
string
Allowed value: "employment-template"
url
string<uri>
title
string
Minimum string length: 1

Reserve this employment-template to a subset of legal-entities. Leave empty if this template should be available to ALL legal-entities.

term
enum<string>

Term of an employment.

Available options:
permanent,
fixed
Example:

"permanent"

audience
enum<string>
default:employee
Available options:
employee,
student,
external,
elected,
appointee,
associate,
volunteer,
other
t9n
object
createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.

Example:

"2023-01-23T12:45:23.1234Z"

embedded
object

No embedded resources on a employment-template(s) response. Expect an empty object if embedded are requested.